import csv

fichier =  open("titanic.csv")  # ouvre le ficier titanic et le met dans une variable fichier

dico_de_donnees = csv.DictReader(fichier)
    # lit la variable fichier et cree un dictionnaire et le met dans la variable dico_de_donnees
    # en utilisant la premiere ligne de fichier pour generer les Cles {'cle' : valeur}

liste_par_ligne = []
    # cree une liste - vide au départ
for ligne in dico_de_donnees:
    liste_par_ligne.append(dict(ligne))
    # boucle qui ajoute a la liste une ligne au format dictionnaire
    # liste_par_ligne[0] correspond a la 2eme ligne du fichier: titanic.csv

nombre_lignes_dans_liste = len(liste_par_ligne)

n_passager_class_1 = 0  #initialisation
n_passager_class_2 = 0
n_passager_class_3 = 0

for i in range(0 , nombre_lignes_dans_liste):
    var_dict_ligne = dict(liste_par_ligne[i])
    recup_valeur_classe = int(var_dict_ligne['Pclass'])

    if recup_valeur_classe == 1:
        n_passager_class_1 += 1

    elif recup_valeur_classe == 2:
        n_passager_class_2 += 1

    elif recup_valeur_classe == 3:
        n_passager_class_3 += 1

print(i)

print("La répartition par classe des passagers est :")
print(f"1ère classe : {n_passager_class_1} passagers")
print(f"2ème classe : {n_passager_class_2} passagers")
print(f"3ème classe : {n_passager_class_3} passagers")






fichier.close()
