import csv

fichier =  open("titanic.csv")  # ouvre le ficier titanic et le met dans une variable fichier

dico_de_donnees = csv.DictReader(fichier)
    # lit la variable fichier et cree un dictionnaire et le met dans la variable dico_de_donnees
    # en utilisant la premiere ligne de fichier pour generer les Cles {'cle' : valeur}

liste_par_ligne = []
    # cree une liste - vide au départ
for ligne in dico_de_donnees:
    liste_par_ligne.append(dict(ligne))
    # boucle qui ajoute a la liste une ligne au format dictionnaire
    # liste_par_ligne[0] correspond a la 2eme ligne du fichier: titanic.csv

nombre_lignes_dans_liste = len(liste_par_ligne)

n_passager_class_1_F = 0  #initialisation
n_passager_class_1_M = 0
n_passager_class_2_F = 0
n_passager_class_2_M = 0
n_passager_class_3_F = 0
n_passager_class_3_M = 0

for i in range(0 , nombre_lignes_dans_liste):
    var_dict_ligne = dict(liste_par_ligne[i])
    recup_valeur_classe = int(var_dict_ligne['Pclass'])
    recup_valeur_sex = (var_dict_ligne['Sex'])

    if ((recup_valeur_classe == 1) and (recup_valeur_sex == "female")):
        n_passager_class_1_F += 1

    elif ((recup_valeur_classe == 1) and (recup_valeur_sex == "male")):
        n_passager_class_1_M  += 1

    elif ((recup_valeur_classe == 2) and (recup_valeur_sex == "female")):
        n_passager_class_2_F += 1

    elif ((recup_valeur_classe == 2) and (recup_valeur_sex == "male")):
        n_passager_class_2_M += 1

    elif ((recup_valeur_classe == 3) and (recup_valeur_sex == "female")):
        n_passager_class_3_F += 1

    elif ((recup_valeur_classe == 3) and (recup_valeur_sex == "male")):
        n_passager_class_3_M += 1




print(i)


#print(f"repartition en 1ère classe : {int((100*n_passager_class_1_F)/(n_passager_class_1_F+n_passager_class_1_M))} % de femmes")

print(f"1ère classe : {n_passager_class_1_F} passagers")
print(f"1ère classe : {n_passager_class_1_M} passagers")
print(f"2ème classe : {n_passager_class_2_F} passagers")
print(f"2ème classe : {n_passager_class_2_M} passagers")
print(f"3ème classe : {n_passager_class_3_F} passagers")
print(f"3ème classe : {n_passager_class_3_M} passagers")






fichier.close()
